Package gbp :: Package deb :: Module dscfile :: Class DscFile

[hide private]
[frames] | no frames]

# Class DscFile

    object --+
             |
            DscFile

Keeps all needed data read from a dscfile

Instance Methods | [hide private]

__init__(self, dscfile) x.__init__(...) initializes x; see help(type(x)) for signature |

_get_version(self) |

__str__(self) str(x) |

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Methods | [hide private]

parse(cls, filename) |

Class Variables | [hide private]

| compressions = ``'``(gz|lzma|bz2|xz)``'``
| pkg_re = `re.compile(r'Source:\s`+``(?P<``pkg``>`.`+``)`\s`*`')`
| version_re = `re.compile(r'Version:\s`(``(?P<``epoch``>`\d`+``)`:`)``?``(?P<``vers``...``
| tar_re = `re.compile(r'^\s\w`+`\s\d`+`\s`+``(?P<``tar``>``[^`_`]``+`_`[^`_`]``+``(`\.orig`...``
| add_tar_re = `re.compile(r'^\s\w`+`\s\d`+`\s`+``(?P<``tar``>``[^`_`]``+`_`[^`_`]``+``(?P``...``
| diff_re = `re.compile(r'^\s\w`+`\s\d`+`\s`+``(?P<``diff``>``[^`_`]``+`_`[^`_`]``+`\.dif`...``
| deb_tgz_re = `re.compile(r'^\s\w`+`\s\d`+`\s`+``(?P<``deb_tgz``>``[^`_`]``+`_`[^`_`]``...``
| format_re = `re.compile(r'Format:\s`+``(?P<``format``>``[`0`-`9\.`]``+``)`\s`*`')`

Properties | [hide private]

| version
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, dscfile)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

Class Variable Details | [hide private]

### version_re

Value:

      re.compile(r'Version:\s((?P<epoch>\d+):)?(?P<version>[a-zA-Z\d\.~\+-]+
      )\s*$')

### tar_re

Value:

      re.compile(r'^\s\w+\s\d+\s+(?P<tar>[^_]+_[^_]+(\.orig)?\.tar\.(gz|lzma
      |bz2|xz))')

### add_tar_re

Value:

      re.compile(r'^\s\w+\s\d+\s+(?P<tar>[^_]+_[^_]+(?P<add_tar>\.orig-[a-z0
      -9-]+)\.tar\.(gz|lzma|bz2|xz))')

### diff_re

Value:

      re.compile(r'^\s\w+\s\d+\s+(?P<diff>[^_]+_[^_]+\.diff.(gz|bz2))')

### deb_tgz_re

Value:

      re.compile(r'^\s\w+\s\d+\s+(?P<deb_tgz>[^_]+_[^_]+\.debian.tar.(gz|lzm
      a|bz2|xz))')

Property Details | [hide private]

### version

Get Method:
  _get_version(self)